Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.plaf
Class FlexViewComponentUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          org.flexdock.plaf.FlexViewComponentUI

All Implemented Interfaces:
  IFlexViewComponentUI, XMLConstants

Direct Known Subclasses:
  TitlebarUI, ViewUI

    public abstract class FlexViewComponentUI

extends ComponentUI
implements IFlexViewComponentUI

Author:
  Christopher Butler

Field Summary
`protected PropertySet` | `creationParameters`

Fields inherited from interface org.flexdock.plaf.IFlexViewComponentUI
`ICON_RESOURCE`

Fields inherited from interface org.flexdock.plaf.XMLConstants
`ATTRIBUTE_KEY, CLASSNAME_KEY, CONSTRUCTOR_KEY, DESC_KEY, EXTENDS_KEY, HANDLER_KEY, INHERITS_KEY, NAME_KEY, OVERRIDDEN_KEY, PROP_HANDLER_KEY, PROPERTY_KEY, REFERENCE_KEY, VALUE_KEY`

Constructor Summary
`FlexViewComponentUI()`

Method Summary
`PropertySet` | `getCreationParameters()`
`abstract void` | `initializeCreationParameters()`
`void` | `setCreationParameters(PropertySet creationParameters)`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### creationParameters

    protected PropertySet creationParameters

Constructor Detail

### FlexViewComponentUI

    public FlexViewComponentUI()

Method Detail

### getCreationParameters

    public PropertySet getCreationParameters()

  Specified by:
    `getCreationParameters` in interface `IFlexViewComponentUI`

### setCreationParameters

    public void setCreationParameters(PropertySet creationParameters)

  Specified by:
    `setCreationParameters` in interface `IFlexViewComponentUI`

### initializeCreationParameters

    public abstract void initializeCreationParameters()

  Specified by:
    `initializeCreationParameters` in interface `IFlexViewComponentUI`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD